#
# spec file for package vdr-plugin-epgsearch
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginversion 1.0.0
%define pluginname epgsearch
%define pluginurl http://winni.vdr-developer.org/epgsearch/downloads/vdr-epgsearch-%{pluginversion}.tgz
#
%define plugindir %pluginname-%pluginversion
%define plugintarball vdr-%pluginname-%pluginversion.tgz
#
%define pkgversion %pluginversion

Name:           vdr-plugin-epgsearch
Version:        %pkgversion
Release:        25.2
Source:         %plugintarball
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPL-2.0+
Group:          Hardware/TV
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            %pluginurl
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}
Conflicts:      vdr-plugins <= 0.5

%description

%vdrname %pluginname plugin
%prep 
%setup -q -n %plugindir
chmod 644 scripts/*
rm -f scripts/*~

%build
%vdr_make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 createcats %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{vdr_sysconfdir}/plugins/epgsearch
install -m 644 conf/* %{buildroot}%{vdr_sysconfdir}/plugins/epgsearch
#
%vdr_install_plugin %pluginname conflictcheckonly epgsearchonly quickepgsearch
%vdr_install_plugin_locale
#
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc doc conf scripts COPYING HISTORY
%{vdr_libdir}/*
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins/epgsearch
%attr(-,vdr,root) %config(noreplace) %{vdr_sysconfdir}/plugins/epgsearch/*
%{_bindir}/createcats
# hack, until new enough VDR owns all these
%dir %vdr_localedir/*
%dir %vdr_localedir/*/LC_MESSAGES/

%changelog
* Sun Dec 16 2012 seife+obs@b1-systems.com
- update to version 1.0.0, summary of most important changes:
  * supports vdr 1.6.0 to 1.7.21
  * avoid repeats with new "compare date"
  * new action "announce and switch"
  * many fixes and improvements, see HISTORY file
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jun  4 2009 lnussel@suse.de
- split vdr-plugin-epgsearch off vdr-plugins
